---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libThreadController.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x2CA78, symBinAddr: 0xC058, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x69, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x2CA7C, symBinAddr: 0xC05C, symSize: 0x0 }
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x2CA80, symBinAddr: 0xC060, symSize: 0x0 }
  - { offsetInCU: 0x90D6, offset: 0x90D6, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_BaseThread_nativeRecursiveMethod, symObjAddr: 0xC70, symBinAddr: 0x369C, symSize: 0xBD0 }
  - { offsetInCU: 0xA051, offset: 0xA051, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1840, symBinAddr: 0x426C, symSize: 0xB0 }
  - { offsetInCU: 0xA148, offset: 0xA148, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x18F0, symBinAddr: 0x431C, symSize: 0x104 }
  - { offsetInCU: 0xA2B4, offset: 0xA2B4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x19F4, symBinAddr: 0x4420, symSize: 0x30 }
  - { offsetInCU: 0xA331, offset: 0xA331, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1A24, symBinAddr: 0x4450, symSize: 0xE0 }
  - { offsetInCU: 0xA463, offset: 0xA463, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1B04, symBinAddr: 0x4530, symSize: 0x30 }
  - { offsetInCU: 0xA55F, offset: 0xA55F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x425C, symBinAddr: 0x6B3C, symSize: 0x28 }
  - { offsetInCU: 0xA5C2, offset: 0xA5C2, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x4600, symBinAddr: 0x6B64, symSize: 0xA0 }
  - { offsetInCU: 0xA625, offset: 0xA625, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x4050, symBinAddr: 0x6930, symSize: 0x20C }
  - { offsetInCU: 0xA7B7, offset: 0xA7B7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x3E08, symBinAddr: 0x67A0, symSize: 0x168 }
  - { offsetInCU: 0xA9BF, offset: 0xA9BF, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_BlockedThread_nativeBringState, symObjAddr: 0x1B34, symBinAddr: 0x4560, symSize: 0x988 }
  - { offsetInCU: 0xB725, offset: 0xB725, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x24BC, symBinAddr: 0x4EE8, symSize: 0x30 }
  - { offsetInCU: 0xB7B2, offset: 0xB7B2, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_WaitingThread_nativeBringState, symObjAddr: 0x24EC, symBinAddr: 0x4F18, symSize: 0x6D0 }
  - { offsetInCU: 0xC15D, offset: 0xC15D, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_SleepingThread_nativeBringState, symObjAddr: 0x2BBC, symBinAddr: 0x55E8, symSize: 0x5B8 }
  - { offsetInCU: 0xC98A, offset: 0xC98A, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_RunningThread_nativeBringState, symObjAddr: 0x3174, symBinAddr: 0x5BA0, symSize: 0x7D8 }
  - { offsetInCU: 0xD53E, offset: 0xD53E, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_ThreadController_getThreadState, symObjAddr: 0x39E0, symBinAddr: 0x6378, symSize: 0x320 }
  - { offsetInCU: 0xD91F, offset: 0xD91F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D00, symBinAddr: 0x6698, symSize: 0xD8 }
  - { offsetInCU: 0xDA3A, offset: 0xDA3A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_22CallStaticObjectMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x3DD8, symBinAddr: 0x6770, symSize: 0x30 }
  - { offsetInCU: 0xDB03, offset: 0xDB03, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3F70, symBinAddr: 0x6908, symSize: 0x28 }
...
